# QuickerStack

QuickerStack is a BepInEx mod for the game Valheim that allows players to quickly stack their items in nearby chests by pressing a configurable key. This mod is based on the popular Quick Stack mod by damnsneaker, and offers improved functionality and ease of use.

## Installation

To install QuickerStack, follow these steps:

1. Download the latest release of QuickerStack.
2. Extract the downloaded archive into your Valheim `BepInEx` folder. (Valheim/BepInEx/plugins)
3. Start Valheim and enjoy QuickerStack!

## Features
- Press a configured key (P by default) to quickly stack items from your inventory into a currently opened or nearby containers.
- Alt+Click an item in inventory to exclude that inventory slot from automatic stacking.
- Alt+Right Click an item in inventory to exclude that item from automatic stacking (item tooltip will change).

## Configuration

After you first run your game with the mod enabled, a config file will appear at .../Valheim/BepInEx/config/org.bepinex.plugins.valheim.quicker_stack.cfg
You can customize the values to best suit your needs:
```
[QuickerStack]

## Get key codes here: https://docs.unity3d.com/ScriptReference/KeyCode.html
# Setting type: String
# Default value: P
QuickStackKey = p

## Key to press when clicking an item to exclude from sort. Get key codes here: https://docs.unity3d.com/ScriptReference/KeyCode.html
# Setting type: String
# Default value: LeftAlt
ExclusionKey = LeftAlt

## Key to press when clicking an item to exclude from sort. Get key codes here: https://docs.unity3d.com/ScriptReference/KeyCode.html
# Setting type: String
# Default value: RightAlt
ExclusionKey2 = RightAlt

## How far from you is nearby, greater value = greater range
# Setting type: Single
# Default value: 15
NearbyRange = 15

## Whether to completely exclude consumables from quick stacking (food, potions).
# Setting type: Boolean
# Default value: true
IgnoreConsumable = true

## Whether to completely exclude ammo from quick stacking (arrows)
# Setting type: Boolean
# Default value: true
IgnoreAmmo = true

## Whether to put all types of trophies in the container if any trophy is found in that container.
# Setting type: Boolean
# Default value: true
CoalesceTrophies = true

## Whether to ignore the container that you are currently using or not.
# Setting type: Boolean
# Default value: true
StackToCurrentContainer = true

## Whether to only stack to the currently open container (like QuickStack did), or also look at all nearby containers afterwards.
# Setting type: Boolean
# Default value: false
StackOnlyToCurrentContainer = false

## Whether to enable threading when stacking. (/!\ Warning: Unstable)
# Setting type: Boolean
# Default value: false
UseThreading = false
```

# Sources

- [Github](https://github.com/klaoude/QuickerStack)

# Credits

- QuickStack is based on the [Quick Stack mod](https://www.nexusmods.com/valheim/mods/29) by damnsneaker.
